# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDevicePropsPlugin Class Reference

Properties plugin for device .desktop files. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KDevicePropsPlugin:

[legend]
Collaboration diagram for KDevicePropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KDevicePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()

## Static Public Member Functions

static bool | supports (KFileItemList _items)

## Detailed Description

Properties plugin for device .desktop files.

Definition at line 722 of file kpropertiesdialog.h.

## Member Function Documentation

void KDevicePropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 2879 of file kpropertiesdialog.cpp.

References QFile::close(), endl(), KIconButton::icon, QCheckBox::isChecked(), kdDebug(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), KSimpleConfig::sync(), QLabel::text(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003